<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
    <record id="purchase_order_form_inherit" model="ir.ui.view">
        <field name="name">purchase.order.form.inherit</field> 
        <field name="model">purchase.order</field>
        <field name="inherit_id" ref="purchase.purchase_order_form"/>
        <field name="priority" eval="8"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='order_line']/tree/field[@name='product_id']" position="attributes">
                <attribute name="domain">['|',
                    ('seller_ids.name', '=', parent.partner_id),
                    ('seller_ids.name.child_ids', '=', parent.partner_id),
                    ('purchase_ok', '=', True)]
                </attribute>
            </xpath>
        </field>
    </record>
</odoo>
